Name:           python-pdm
Version:        2.22.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A modern Python package and dependency manager supporting the latest PEP standards

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pdm-project.org
Source:         %{pypi_source pdm}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pdm' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pdm
Summary:        %{summary}

%description -n python3-pdm %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pdm all,all-locked,cookiecutter,copier,keyring,locked,pytest,template


%prep
%autosetup -p1 -n pdm-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,all-locked,cookiecutter,copier,keyring,locked,pytest,template


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pdm -f %{pyproject_files}


%changelog
%autochangelog